---
title: HTMLFormControlsCollection
slug: Web/API/HTMLFormControlsCollection
tags:
  - API
  - Collection
  - Form Collection
  - Form List
  - Forms
  - HTML DOM
  - HTML forms
  - HTMLFormControlsCollection
  - Interface
  - NeedsHTML5Update
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>HTMLFormControlsCollection</code></strong> interface represents a <em>collection</em> of HTML <em>form control elements</em>. </span>It represents the lists returned by the {{domxref("HTMLFormElement")}} interface's {{domxref("HTMLFormElement.elements", "elements")}} property and the {{domxref("HTMLFieldSetElement")}} interface's {{domxref("HTMLFieldSetElement.elements", "elements")}} property.</p>

<p>This interface replaces one method from {{domxref("HTMLCollection")}}, on which it is based.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface inherits the properties of its parent, {{domxref("HTMLCollection")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface inherits the methods of its parent, {{domxref("HTMLCollection")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLFormControlsCollection.namedItem()")}}</dt>
 <dd>Returns the {{domxref("RadioNodeList")}} or the {{domxref("Element")}} in the collection whose <code>name</code> or <code>id</code> matches the specified name, or <code>null</code> if no nodes match. Note that this version of <code>namedItem()</code> hide the one inherited from {{domxref("HTMLCollection")}}. Like that one, in JavaScript, using the array bracket syntax with a {{jsxref("String")}}, like <code><em>collection</em>["value"]</code> is equivalent to <code><em>collection</em>.namedItem("value")</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "infrastructure.html#htmlformcontrolscollection", "HTMLFormControlsCollection")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change since the last snapshot, {{SpecName('HTML5 W3C')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "infrastructure.html#htmlformcontrolscollection", "HTMLFormControlsCollection")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>In this snapshot of {{SpecName("HTML WHATWG")}}, the <code>HTMLFormControlsCollections</code> is defined for the first time.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormControlsCollection")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLCollection")}}, {{domxref("RadioNodeList")}}, {{domxref("HTMLOptionsCollection")}}</li>
</ul>
